LINUX.ORG.RU

Настройка WPA2/PSK соединения в Slackware 14.1

 , ,


0

1

При попытке соединения выводится:

http://itmages.ru/image/view/1430442/061f414d

(извиняюсь за качество, но различить символы можно)

Содержимое /etc/wpa_supplicant.conf:

ctrl_interface=/var/run/wpa_supplicant
ctrl_interface_group=0
eapol_version=1
ap_scan=1
fast_reauth=1

network={
scan_ssid=0
ssid="homenetwork"
proto=WPA2 RSN
key_mgmt=WPA-PSK WPA_EAP
pairwise=CCMP TKIP
group=CCMP TKIP
#psk="B*************P"
psk=********
}

Содержимое /etc/rc.d/rc.inet1.conf:

http://fpaste.org/68022/96335051/

Содержимое /etc/rc.d/rc.wireless.conf

http://fpaste.org/68023/33583138/

Как исправить ошибку?


Попробуй создать ключ для пароля по ESSID через wpa_passphrase и подключиться одной строчкой, это как-то надежней и понятней. А дальше уже посмотрим.

 cd; wpa_passphrase essid password > wpa.conf;
wpa_supplicant -Dwext -iwlan0 -c wpa.conf; dhclient wlan0

anonymous_sama ★★★★★ ()
Последнее исправление: anonymous_sama (всего исправлений: 1)

Доустановите пакет libnl, написано же о недостающем бинарнике недвусмысленно (хоть и читается на фото отвратительно).

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 1)
Ответ на: комментарий от bormant

Установлен уже, потом еще пересобирал и устанавливал его из SlackBuild - все точно так же.

Nedis ()
Ответ на: комментарий от Nedis

требует libnl-3.so.200

Вот и обеспечьте. Обратите внимание, есть libnl, а есть libnl3, вам, скорее всего, нужен последний.

Зачем пересобирали, если не секрет, и какую именно версию? Уверены, что ничего не напутали?

bormant ★★★★★ ()
Ответ на: комментарий от Nedis

установлен снова через installpkg

Целесообразнее через:
# upgradepkg # при отличающемся имени
# upgradepkg --reinstall # при полном совпадении имени

В противном случае получите «ошметки» от старого пакета при отсутствии поименного тождества списков файлов пакетов.

bormant ★★★★★ ()
Ответ на: комментарий от Nedis

Как заблагорассудится. Я предпочитаю универсальное
# cd /mnt/cdrom/slackware*/
# upgradepkg --install-new */libnl3-*t?z

либо
# slackpkg install libnl3

Но если убедились (мне лень), что желаемый пакет отличной версии не установлен, можно и installpkg.

bormant ★★★★★ ()
Последнее исправление: bormant (всего исправлений: 2)
Ответ на: комментарий от Nedis

Ну и чтобы два раза не вставать, зависимости бинарника /usr/sbin/wpa_supplicant в Slackware 14.1 выглядят так:

# sbbdep -s /usr/sbin/wpa_supplicant
dbus, glibc | glibc-solibs, libnl3, openssl | openssl-solibs

bormant ★★★★★ ()
Ответ на: комментарий от Nedis

«Работать с системой самостоятельно» != «отказаться от использования более удобных инструментов в пользу менее удобных».

Skeletal ★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.